qemu-devel
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Qemu-devel] [PULL 00/38] Test and build system patches


From: no-reply
Subject: Re: [Qemu-devel] [PULL 00/38] Test and build system patches
Date: Fri, 8 Sep 2017 03:31:04 -0700 (PDT)

Hi,

This series seems to have some coding style problems. See output below for
more information:

Subject: [Qemu-devel] [PULL 00/38] Test and build system patches
Message-id: address@hidden
Type: series

=== TEST SCRIPT BEGIN ===
#!/bin/bash

BASE=base
n=1
total=$(git log --oneline $BASE.. | wc -l)
failed=0

git config --local diff.renamelimit 0
git config --local diff.renames True

commits="$(git log --format=%H --reverse $BASE..)"
for c in $commits; do
    echo "Checking PATCH $n/$total: $(git log -n 1 --format=%s $c)..."
    if ! git show $c --format=email | ./scripts/checkpatch.pl --mailback -; then
        failed=1
        echo
    fi
    n=$((n+1))
done

exit $failed
=== TEST SCRIPT END ===

Updating 3c8cf5a9c21ff8782164d1def7f44bd888713384
From https://github.com/patchew-project/qemu
 * [new tag]               patchew/address@hidden -> patchew/address@hidden
Switched to a new branch 'test'
6bc4b9ae8b buildsys: Move rdma libs to per object
982606e298 buildsys: Move brlapi libs to per object
7742b1818c buildsys: Move usb redir cflags/libs to per object
703c248838 buildsys: Move libusb cflags/libs to per object
effc7372c1 buildsys: Move libcacard cflags/libs to per object
75bfc18a8e buildsys: Move opengl cflags to per object
f0d9b17d0b buildsys: Move curese cflags/libs to per object
328ea5daad buildsys: Move audio libs to per object
51fbfdaf09 buildsys: Move vnc cflags/libs to per object
d6fe0ab043 buildsys: Move sdl cflags/libs to per object
7f78d815a9 buildsys: Move gtk/vte cflags/libs to per object
38645de794 buildsys: Move vde libs to per object
cfc170bc6a vl: Don't include vde header
6520c49a4d docker: Drop 'set -e' from run script
7ad62056c9 docker: Add test-block
58bd56ffd4 docker: Add nettle-devel to fedora image
98539a87de docker: Use unconfined security profile
6c98469e16 docker: Add test_fail and prep_fail
d83f31733c docker: Fix return code of build_qemu()
53a57e1a22 docker: Use archive-source.py
8bc7225c0b tests: Add README for vm tests
db8556b216 MAINTAINERS: Add tests/vm entry
1d10e7bac0 Makefile: Add rules to run vm tests
e0f2ba5c2f tests: Add OpenBSD image
723d783df4 tests: Add NetBSD image
6cffff6f55 tests: Add FreeBSD image
f4c957ccf8 tests: Add ubuntu.i386 image
dd10e527b1 tests: Add vm test lib
50f27fbdfe scripts: Add archive-source.sh
3bbfd00e62 qemu.py: Add "wait()" method
d79f8a4d7e gitignore: Ignore vm test images
91508295e3 tests/docker: Clean up paths
8dddf31753 docker: Enable features explicitly in test-full
531d01d79b docker: Update ubuntu image
e912cd9008 docker: reduce noise when building travis.docker
0a732bcb3e docker: don't install device-tree-compiler build-deps in 
travis.docker
ccf3ba74d9 docker: docker.py make --no-cache skip checksum test
19d2fb0a9b docker: ensure NOUSER for travis images

=== OUTPUT BEGIN ===
Checking PATCH 1/38: docker: ensure NOUSER for travis images...
Checking PATCH 2/38: docker: docker.py make --no-cache skip checksum test...
Checking PATCH 3/38: docker: don't install device-tree-compiler build-deps in 
travis.docker...
Checking PATCH 4/38: docker: reduce noise when building travis.docker...
Checking PATCH 5/38: docker: Update ubuntu image...
Checking PATCH 6/38: docker: Enable features explicitly in test-full...
Checking PATCH 7/38: tests/docker: Clean up paths...
Checking PATCH 8/38: gitignore: Ignore vm test images...
Checking PATCH 9/38: qemu.py: Add "wait()" method...
Checking PATCH 10/38: scripts: Add archive-source.sh...
Checking PATCH 11/38: tests: Add vm test lib...
ERROR: line over 90 characters
#86: FILE: tests/vm/basevm.py:60:
+ssh-rsa 
AAAAB3NzaC1yc2EAAAADAQABAAABAQCikC46WYtXotUd0UGPz9547Aj0KqC4gk+nt4BBJm86IHgCD9FygSGX9EFutXlhz9KZIPg9Okk7+IzXRHCWI2MNvhrcjyrezKREm71z08j9iwfxY3340fY2Mo+0khwpO7bzsgzkljHIHqcOg7MgttPInVMNH/EfqpgR8EDKJuWCB2Ny+EBFN/3dAiff0X/EvKle9PUrY70EkSycnyURS8HZReEqj8lN9J5kXzA8F6jBo/0Q42Ttv6e4k5YcaDrwmLrBWLra2PCXZLNyHqXEiFkGmdXtA1Eox9gc/p4jIXim6xrPNmpN6WyrrEjaCF5xYvNv8wXkD6uSWwbHYU24lIAn
 qemu-vm-key

WARNING: line over 80 characters
#100: FILE: tests/vm/basevm.py:74:
+        self._tmpdir = tempfile.mkdtemp(prefix="vm-test-", suffix=".tmp", 
dir=".")

WARNING: line over 80 characters
#191: FILE: tests/vm/basevm.py:165:
+        logging.debug("Creating archive %s for src_dir dir: %s", tarfile, 
src_dir)

WARNING: line over 80 characters
#196: FILE: tests/vm/basevm.py:170:
+                            "file=%s,if=none,id=%s,cache=writeback,format=raw" 
% \

WARNING: line over 80 characters
#199: FILE: tests/vm/basevm.py:173:
+                            "virtio-blk,drive=%s,serial=%s,bootindex=1" % 
(name, name)]

ERROR: line over 90 characters
#246: FILE: tests/vm/basevm.py:220:
+    VM test utility.  Exit codes: 0 = success, 1 = command line error, 2 = 
environment initialization failed, 3 = test command failed""")

WARNING: line over 80 characters
#253: FILE: tests/vm/basevm.py:227:
+    parser.add_option("--jobs", type=int, default=multiprocessing.cpu_count() 
/ 2,

total: 2 errors, 5 warnings, 276 lines checked

Your patch has style problems, please review.  If any of these errors
are false positives report them to the maintainer, see
CHECKPATCH in MAINTAINERS.

Checking PATCH 12/38: tests: Add ubuntu.i386 image...
Checking PATCH 13/38: tests: Add FreeBSD image...
Checking PATCH 14/38: tests: Add NetBSD image...
Checking PATCH 15/38: tests: Add OpenBSD image...
Checking PATCH 16/38: Makefile: Add rules to run vm tests...
Checking PATCH 17/38: MAINTAINERS: Add tests/vm entry...
Checking PATCH 18/38: tests: Add README for vm tests...
Checking PATCH 19/38: docker: Use archive-source.py...
Checking PATCH 20/38: docker: Fix return code of build_qemu()...
Checking PATCH 21/38: docker: Add test_fail and prep_fail...
Checking PATCH 22/38: docker: Use unconfined security profile...
Checking PATCH 23/38: docker: Add nettle-devel to fedora image...
Checking PATCH 24/38: docker: Add test-block...
Checking PATCH 25/38: docker: Drop 'set -e' from run script...
Checking PATCH 26/38: vl: Don't include vde header...
Checking PATCH 27/38: buildsys: Move vde libs to per object...
Checking PATCH 28/38: buildsys: Move gtk/vte cflags/libs to per object...
Checking PATCH 29/38: buildsys: Move sdl cflags/libs to per object...
Checking PATCH 30/38: buildsys: Move vnc cflags/libs to per object...
Checking PATCH 31/38: buildsys: Move audio libs to per object...
Checking PATCH 32/38: buildsys: Move curese cflags/libs to per object...
Checking PATCH 33/38: buildsys: Move opengl cflags to per object...
Checking PATCH 34/38: buildsys: Move libcacard cflags/libs to per object...
Checking PATCH 35/38: buildsys: Move libusb cflags/libs to per object...
Checking PATCH 36/38: buildsys: Move usb redir cflags/libs to per object...
Checking PATCH 37/38: buildsys: Move brlapi libs to per object...
Checking PATCH 38/38: buildsys: Move rdma libs to per object...
=== OUTPUT END ===

Test command exited with code: 1


---
Email generated automatically by Patchew [http://patchew.org/].
Please send your feedback to address@hidden

reply via email to

[Prev in Thread] Current Thread [Next in Thread]